%define pref 	%{_prefix}
%define python 	%{_bindir}/python
%define tarname wxPython-src
%define version 2.6.3.3
%define ver2    2.6
%define release %mkrel 2

%define name      wxpython%ver2

%define wxconfigname %_libdir/wx/config/gtk2-unicode-release-%ver2

%{?!py_puresitedir:%define py_puresitedir %_libdir/python%pyver/site-packages}

Summary:   Cross platform GUI toolkit for Python using wxGTK %ver2
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   http://prdownloads.sourceforge.net/wxpython/%{tarname}-%{version}.tar.bz2
Patch: wxPython-src-2.6.3.3-no-release-number-warning.patch
License:   LGPL/wxWindows Library Licence, Version 3
URL:       http://wxPython.org/
Group:     Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: wxgtku2.6-devel
BuildRequires: libpython-devel
Requires: wxPythonGTK-wxversion
 
%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the gtk2 port of wxWindows.

%prep
%setup -q -n %{tarname}-%{version}
%patch -p1

%build

# Now build wxPython
cd wxPython
%{python} setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="%wxconfigname --no_rpath" \
       	build_ext \
	build

%install

cd wxPython
%{python} setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="%wxconfigname --prefix=$RPM_BUILD_ROOT%{_prefix} --no_rpath" \
       	build_ext \
	install \
	--root=$RPM_BUILD_ROOT

#gw fix paths
%if %_lib != lib
mv %buildroot%py_puresitedir/* %buildroot%py_platsitedir
%endif
#gw conflicts with wxPythonGTK
rm -rf %buildroot%py_platsitedir/wxaddons*
rm -rf %buildroot%py_platsitedir/wx.pth
#gw we use the version from wxPythonGTK 2.8
rm -rf %buildroot%py_platsitedir/wxversion.*
#gw not needed
rm -rf %buildroot%_includedir/wx-2.6/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/preamble.txt
%doc docs/licence.txt
%doc docs/readme.txt
%doc docs/changes.txt
%doc wxPython/docs/*.*
%doc wxPython/docs/screenshots
%py_platsitedir/wx*



%changelog
* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.6.3.3-2mdv2008.0
+ Revision: 71816
- fix installation
- patch to remove warning about wxversion mismatch
- fix description

* Thu May 10 2007 Götz Waschk <waschk@mandriva.org> 2.6.3.3-1mdv2008.0
+ Revision: 25894
- use wxversion from wxPythonGTK 2.8
- build against wxgtku2.6
- import

